#ifndef RUNDATACACHEREFRESH_H
#define RUNDATACACHEREFRESH_H

#include "RunAbstract.h"

class RunDataCacheRefresh : public RunAbstract
{
public:
    RunDataCacheRefresh(InteractiveTask *task, QMutex *mutex);

public:

    // 定时刷新获取
    // 获取异常类型字典值
    static void httpGetExceptionTypeDict();
    // 获取严重等级字典值
    static void httpGetSeverityLevelDict();

    // 获取物资属性值
    static void httpGetMaterialProp();
    // 获取物资类型
    static void httpGetMaterialType();

    // 实时获取
    // 获取物资信息
    static void httpGetMaterialInfo();

    // 获取异常物资信息 url: /dev-api/iscs/hardware/material-api/selectExMaterialTypeById
    static void httpGetExMaterialInfo();


protected:
    void run();
};

#endif // RUNDATACACHEREFRESH_H
